## GnomeCanvasEllipse GnomeCanvasEllipse — Canvas item for drawing ellipses and circles |

## Synopsis

    #include <libgnomecanvas/libgnomecanvas.h>

    struct              GnomeCanvasEllipse;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GnomeCanvasItem
                         +----GnomeCanvasShape
                               +----GnomeCanvasRE
                                     +----GnomeCanvasEllipse

## Description

A canvas item for drawing ellipses and circles. The parameters are defined in the parent classes including GnomeCanvasRE which is shared with GnomeCanvasRect items as well.

## Details

### struct GnomeCanvasEllipse

    struct GnomeCanvasEllipse;

This structure should not be accessed directly. Use the object's properties for querying or changing its parameters.